ExchangeScheduleInterval (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeScheduleInterval interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeScheduleInterval

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeScheduleInterval

extends LogicalElement

Represents the Exchange Scheduled Interval

Naming Rules:
  0="publicFolder,startDayOfWeek,startHour,startMinute,startTimeZone,endDayOfWeek,endHour,endMinute,endTimeZone"
Persistable:
  true
Table Name:
  EXCHSCHINT

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getEndDayOfWeek()`
`int` | `getEndHour()` The end hour From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime
`int` | `getEndMinute()` The end minute From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime
`int` | `getEndTimeZone()` The end time zone From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime
`ExchangePublicFolder` | `getPublicFolder()`
`int` | `getStartDayOfWeek()` The start day of week From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime
`int` | `getStartHour()` The start hour From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime
`int` | `getStartMinute()` The start minute From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime
`int` | `getStartTimeZone()` The start time zone From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime
`boolean` | `hasEndDayOfWeek()`
`boolean` | `hasEndHour()`
`boolean` | `hasEndMinute()`
`boolean` | `hasEndTimeZone()`
`boolean` | `hasPublicFolder()`
`boolean` | `hasStartDayOfWeek()`
`boolean` | `hasStartHour()`
`boolean` | `hasStartMinute()`
`boolean` | `hasStartTimeZone()`
`void` | `setEndDayOfWeek(int x)`
`void` | `setEndHour(int x)`
`void` | `setEndMinute(int x)`
`void` | `setEndTimeZone(int x)`
`void` | `setPublicFolder(ExchangePublicFolder x)`
`void` | `setStartDayOfWeek(int x)`
`void` | `setStartHour(int x)`
`void` | `setStartMinute(int x)`
`void` | `setStartTimeZone(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getStartTimeZone

    int getStartTimeZone()
                         throws AttributeNotSetException

  The start time zone From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime

  Throws:
    `AttributeNotSetException`

### setStartTimeZone

    void setStartTimeZone(int x)

### hasStartTimeZone

    boolean hasStartTimeZone()

### getEndHour

    int getEndHour()
                   throws AttributeNotSetException

  The end hour From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime

  Throws:
    `AttributeNotSetException`

### setEndHour

    void setEndHour(int x)

### hasEndHour

    boolean hasEndHour()

### getStartDayOfWeek

    int getStartDayOfWeek()
                          throws AttributeNotSetException

  The start day of week From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime

  Throws:
    `AttributeNotSetException`

### setStartDayOfWeek

    void setStartDayOfWeek(int x)

### hasStartDayOfWeek

    boolean hasStartDayOfWeek()

### getEndMinute

    int getEndMinute()
                     throws AttributeNotSetException

  The end minute From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime

  Throws:
    `AttributeNotSetException`

### setEndMinute

    void setEndMinute(int x)

### hasEndMinute

    boolean hasEndMinute()

### getPublicFolder

    ExchangePublicFolder getPublicFolder()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setPublicFolder

    void setPublicFolder(ExchangePublicFolder x)

### hasPublicFolder

    boolean hasPublicFolder()

### getStartHour

    int getStartHour()
                     throws AttributeNotSetException

  The start hour From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime

  Throws:
    `AttributeNotSetException`

### setStartHour

    void setStartHour(int x)

### hasStartHour

    boolean hasStartHour()

### getEndTimeZone

    int getEndTimeZone()
                       throws AttributeNotSetException

  The end time zone From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.EndTime

  Throws:
    `AttributeNotSetException`

### setEndTimeZone

    void setEndTimeZone(int x)

### hasEndTimeZone

    boolean hasEndTimeZone()

### getEndDayOfWeek

    int getEndDayOfWeek()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEndDayOfWeek

    void setEndDayOfWeek(int x)

### hasEndDayOfWeek

    boolean hasEndDayOfWeek()

### getStartMinute

    int getStartMinute()
                       throws AttributeNotSetException

  The start minute From the WMI classes for Exchange Server 2003: Exchange_ ScheduleInterval.StartTime

  Throws:
    `AttributeNotSetException`

### setStartMinute

    void setStartMinute(int x)

### hasStartMinute

    boolean hasStartMinute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD